#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

private slots:
    void setObjectiveFocus(void);
    void setObjectiveZoom(void);
    void getObjectiveFocusZoom(void);
    void manipulateObjective(void);
    void doAutoFocus(void);
    void doMovePtuUp(void);
    void doMovePtuDown(void);
    void doMovePtuLeft(void);
    void doMovePtuRight(void);
};

#endif // MAINWINDOW_H
