/*
 * arduinolib.h
 *
 *  Created on: 04.11.2011
 *      Author: Johannes Liebrecht
 */

#ifndef ARDUINOLIB_H_
#define ARDUINOLIB_H_

enum _PTUCOMMAND {
 LEFT, RIGHT, UP, DOWN
};
typedef enum _PTUCOMMAND PTUCOMMAND;

void setZoomToMm(int desiredValue);
void setFocusToMm(int desiredValue);
void createConnectionToArduino(const char ip[], int port);
void disconnectConnectionToArduino(void);
int* getAnalogValues(void);
void autoFocus();

int  receivePacket(void);
void sendCommand(const char command[]);
long receivePacketFromCam();

void movePtu(PTUCOMMAND, int timesToSend);
void Initialization_A(void);


#endif /* ARDUINOLIB_H_ */
