#define EXITEMAXGAIN 19.76104922522507934
#define ZEHNHOCHMINUS 0.3055624615787688668

//Helligkeitsbereich der Excite:
//1-80921.4965772966999
gdouble excitegetampgain(gint value){
if (value>511) return pow(10.0,(((0.0354*(gdouble)value)-10.298)/20.0));
else return ((gdouble)(658.0+(gdouble)value)/(gdouble)(658.0-(gdouble)value))*pow(10.0,(-10.298/20.0));
};

gint excitegetgainvalue(gdouble factor){
	
if (factor<1) return 350;
if (factor<2.46229452828468709) return 658*((factor-ZEHNHOCHMINUS)/(factor+ZEHNHOCHMINUS));
if (factor>EXITEMAXGAIN) return 1023;
else return (int)(564.9717514124293785*log10(factor)+290.903954802259887+0.5);	
};
gint excitegetgainmin(gint brightness){//the minimum gain value to achieve desired brightness
gdouble tmp;
tmp=(gdouble)brightness/4095;
if (tmp<1) return 350;
else return excitegetgainvalue(tmp);	
}
gint excitegetgainmax(gint brightness){
gdouble tmp;
tmp=(gdouble)brightness/1.0;
return excitegetgainvalue(tmp);	
}

gint excitegetshutmin(gint brightness){//the minimum gain value to achieve desired brightness
gdouble tmp;
tmp=(gdouble)brightness/EXITEMAXGAIN;
return (gint)floor(tmp);
}
gint excitegetshutmax(gint brightness){//the minimum gain value to achieve desired brightness
if (brightness<4095) return brightness;
else return 4095;
}

gboolean excitesetbrightness(GstAdjuster *filter, gint brightness, gint maxshut){
g_print("setbrightness Brightness %d, maxshut %d",brightness,maxshut);
gdouble tmp;
tmp=(gdouble)brightness/(gdouble)maxshut;
if (tmp>=EXITEMAXGAIN){
g_print("Sorry, cannot achieve maxshut. Gain: %d Shutter %d\n",excitegetgainvalue(tmp),(int)((gdouble)brightness/EXITEMAXGAIN));
//sleep(1);
adjust_par(filter, "gain", filter->srcpointer,excitegetgainvalue(tmp));
adjust_par(filter, "shutter", filter->srcpointer,((((gdouble)brightness/EXITEMAXGAIN)>4095)? 4095 : ((gdouble)brightness/EXITEMAXGAIN)));
}
else if (tmp>=1){
g_print("Setting Gain: %d Shutter %d\n",excitegetgainvalue(tmp),maxshut);
//sleep(1);
adjust_par(filter, "gain", filter->srcpointer,excitegetgainvalue(tmp));
adjust_par(filter, "shutter", filter->srcpointer,maxshut);
}
else{
adjust_par(filter, "gain", filter->srcpointer,350);
adjust_par(filter, "shutter", filter->srcpointer,brightness);
}
return (tmp<EXITEMAXGAIN); 
}

gint excitegetbrightness(GstAdjuster *filter){
gint64 gainvalue,shuttervalue;
parinfo(filter,"shutter", filter->srcpointer,&shuttervalue, NULL, NULL,NULL);
parinfo(filter,"gain", filter->srcpointer,&gainvalue, NULL, NULL,NULL);
g_print("Getbrightness: Shuttervalue:%llu , Gainvalue:%llu, Gainfactor:%f, Result:%d\n",shuttervalue,gainvalue,excitegetampgain((gint)gainvalue),(gint)(((gdouble)shuttervalue*excitegetampgain((gint)gainvalue))+0.5));
return (gint)(((gdouble)shuttervalue*excitegetampgain((gint)gainvalue))+0.5);
}

gdouble g_object_get_double (gpointer object,
		     const gchar *name)
{
GParamSpec* spec=NULL;
if (!G_IS_OBJECT(object)){
	g_print("Pointer is no Object or NULL");
	return 0.0;
}
spec=g_object_class_find_property (G_OBJECT_GET_CLASS(G_OBJECT(object)),name);
if (!spec){
	g_print("Object seems not to have property");
	return 0.0;
}
GValue value = { 0, };	
    g_value_init (&value, spec->value_type);
g_object_get_property (G_OBJECT (object), spec->name, &value);
return g_value_get_double (&value);
}










